Update a quality rule set
PUT
/v1/projects/{projectId}/quality-rule-setcurl -X PUT 'https://api.embodiflow.io/v1/projects/{projectId}/quality-rule-set' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"status": "string",
"specJson": {},
"scopeLevel": "tenant"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
请求头参数
- If-Matchstring
Optional precondition. A matching tag proceeds and returns the new ETag. A stale tag returns 412 PRECONDITION_FAILED with no write. Absent proceeds (opt-in this release). If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
请求体
Content-Typeapplication/json
- namestring
- statusstring
- specJsonobject必填
- scopeLevelstring
ADR 0157 W7 (optional request field): must agree with the path scope.
可选值tenantproject
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- namestring必填
- statusstring必填
- specJsonobject必填
- publishedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- scopeLevelstring可选值tenantproject
- revisionnumber
- resolvedobject
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"name": "string",
"status": "string",
"specJson": {},
"publishedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"scopeLevel": "tenant",
"revision": 0,
"resolved": {
"maxCostTier": "string",
"maxCostTierSource": "tenant",
"bindings": [
{
"checkId": "string",
"bindingIdentity": "string",
"ruleVersion": 0,
"enabled": false,
"severity": "string",
"blocking": false,
"params": {},
"sources": {
"enabled": "tenant",
"severity": "tenant",
"blocking": "tenant",
"params": {}
}
}
],
"snapshotHash": "string"
}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1